curl --request GET \
--url https://api.aisa.one/apis/v1/polymarket/rewards/user/markets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/polymarket/rewards/user/markets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/polymarket/rewards/user/markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"limit": 100,
"count": 1,
"total_count": 42,
"next_cursor": "LTE=",
"data": [
{
"condition_id": "0xbd31dc8a20211944f6b70f31557f1001557b59905b7738480ca09bd4532f84af",
"market_id": "248849",
"event_id": "12345",
"question": "Will Trump win the 2024 Iowa Caucus?",
"market_slug": "will-trump-win-the-2024-iowa-caucus",
"event_slug": "will-trump-win-the-2024-iowa-caucus",
"image": "https://polymarket-upload.s3.us-east-2.amazonaws.com/trump1+copy.png",
"rewards_max_spread": 99,
"rewards_min_size": 10,
"volume_24hr": 12345.67,
"spread": 0.12,
"market_competitiveness": 0.42,
"tokens": [
{
"token_id": "1343197538147866997676250008839231694243646439454152539053893078719042421992",
"outcome": "YES",
"price": 0.8
},
{
"token_id": "16678291189211314787145083999015737376658799626183230671758641503291735614088",
"outcome": "NO",
"price": 0.2
}
],
"rewards_config": [
{
"id": 0,
"asset_address": "0x9c4E1703476E875070EE25b56A58B008CFb8FA78",
"start_date": "2024-03-01",
"end_date": "2500-12-31",
"rate_per_day": 2,
"total_rewards": 92
}
],
"maker_address": "0xD527CCdBEB6478488c848465F9947bDA3C2e6994",
"earning_percentage": 30,
"earnings": [
{
"asset_address": "0x9c4E1703476E875070EE25b56A58B008CFb8FA78",
"earnings": 0.585051,
"asset_rate": 1.001
}
]
}
]
}Get user earnings and markets configuration
Returns user earnings together with market configurations. Requires API key auth headers.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Date in YYYY-MM-DD format. Defaults to current date if not provided.
If true, only show markets favorited by the user (requires auth)
Maker address to query data for
Pagination cursor from previous response
Filter for markets with no competition
Filter for only mergeable markets
Filter for markets where user has open orders
Filter for markets where user has open positions
Field to sort by
max_spread, min_size, end_date, earning_percentage, rate_per_day, earnings, spread, competitiveness, question, price, market, volume_24hr Number of items per page (max 500, values above are capped)
x <= 500Sort direction
ASC, DESC Search query to filter markets by question/description
Signature type for address derivation (required for API KEY auth):
- 0: EOA
- 1: POLY_PROXY
- 2: POLY_GNOSIS_SAFE
0, 1, 2 If true, returns sponsored reward earnings
Filter by tag slug (can be repeated for OR logic)
Response
Successfully retrieved user earnings and market configurations
Paginated list of user rewards markets